> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/enterprise/contract

> Update an enterprise (or MSP tenant) to use a new monthly or term-based contract. For MSPs, sets total pool credits and contract shape; per-managed-enterprise allocations are set via IAM CreateEnterprise / UpdateEnterprise.

## OpenAPI

````json PUT /v1/enterprise/contract
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/enterprise/contract": {
      "put": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1EnterpriseContractPutRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1EnterpriseContractPutResponse"
                }
              }
            }
          }
        },
        "description": "Update an enterprise (or MSP tenant) to use a new monthly or term-based contract. For MSPs, sets total pool credits and contract shape; per-managed-enterprise allocations are set via IAM CreateEnterprise / UpdateEnterprise."
      }
    }
  },
  "components": {
    "schemas": {
      "v1EnterpriseContractPutRequest": {
        "type": "object",
        "properties": {
          "contractedCredits": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Amount of credits billed for a contract term or per month when no expiration is provided. For an MSP tenant, this is the total credits in the MSP billing pool (from which credits are allocated to managed enterprises)."
          },
          "expirationDate": {
            "$ref": "#/components/schemas/manaV2TimePeriod"
          }
        },
        "additionalProperties": false
      },
      "v1EnterpriseContractPutResponse": {
        "type": "object",
        "properties": {},
        "additionalProperties": false
      },
      "manaV2TimePeriod": {
        "type": "object",
        "properties": {
          "month": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "year": {
            "type": "integer",
            "format": "int32",
            "example": 123
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

